<script lang="ts" setup>
const appConfig = useAppConfig()
const url = useRequestURL()

useHead({
  htmlAttrs: {
    lang: 'zh-Hant',
  },
})

useSeoMeta({
  titleTemplate: (title) => [title, appConfig.title].filter(Boolean).join(' - '),
  ogUrl: url.href,
})
</script>

<template>
  <NuxtLoadingIndicator />
  <NaiveThemeProvider>
    <NuxtLayout>
      <NuxtPage />
    </NuxtLayout>
  </NaiveThemeProvider>
</template>

<style>
@import "~/assets/css/reset.css";
@import "~/assets/css/naive-ui-overrides.css";

#__nuxt {
  min-height: var(--screen, 100vh);
}
</style>
